SOSREPORT(1)

NAME
sosreport - Collect and package diagnostic and support data

SYNOPSIS
sosreport
          [-l|--list-plugins]
          [-n|--skip-plugins plugin-names]
          [-e|--enable-plugins plugin-names]
          [-o|--only-plugins plugin-names]
          [-a|--alloptions] [-v|--verbose]
          [-k plug.opt|--plugin-option plug.opt]
          [--no-report] [--config-file conf]
          [--batch] [--build] [--debug]
          [--name name] [--case-id id] [--ticket-number nr]
          [-s|--sysroot SYSROOT]
          [-c|--chroot {auto|always|never}
          [--tmp-dir directory]
          [-p|--profile profile-name]
          [--list-profiles]
          [--verify]
          [--log-size]
          [--all-logs]
          [-z|--compression-type method]
          [--experimental]
          [-h|--help]

DESCRIPTION
sosreport generates an archive of configuration and diagnostic information from the running system. The archive may be stored locally or centrally for recording or tracking purposes or may be sent to technical support representatives, developers or system administrators to assist with technical fault-finding and debugging.

Sos is modular in design and is able to collect data from a wide range of subsystems and packages that may be installed. An XML or HTML report summarizing the collected information is optionally generated and stored within the archive.

OPTIONS

-l, --list-plugins
    List all available plugins and their options. Plug-ins that would not be enabled by the current configuration are listed separately.

-n, --skip-plugins PLUGNAME[,PLUGNAME]
    Disable the specified plugin(s). Multiple plug-ins may be specified by repeating the option or as a comma-separated list.

-e, --enable-plugins PLUGNAME[,PLUGNAME]
    Enable the specified plugin(s). Multiple plug-ins may be specified by repeating the option or as a comma-separated list.

-o, --only-plugins PLUGNAME[,PLUGNAME]
    Enable the specified plugin(s) only (all other plugins should be disabled). Multiple plugins may be specified by repeating the option or as a comma-separated list.

-k PLUGNAME.PLUGOPT[=VALUE], --plugin-option=PLUGNAME.PLUGOPT[=VALUE]
    Specify plug-in options. The option PLUGOPT is enabled, or set to the specified value in the plug-in PLUGNAME.

-a, --alloptions
    Set all boolean options to True for all enabled plug-ins.

-v, --verbose
    Increase logging verbosity. May be specified multiple times to enable additional debugging messages.

-q, --quiet
    Only log fatal errors to stderr.

--no-report
    Disable HTML/XML report writing.

--config-file CONFIG
    Specify alternate configuration file.

-s, --sysroot SYSROOT
    Specify an alternate root file system path. Useful for collecting reports from containers and images.

-c, --chroot {auto|always|never}
    Set the chroot mode. When --sysroot is used commands default to executing with SYSROOT as the root directory (unless disabled by a specific plugin). This can be overriden by setting --chroot to "always" (alwyas chroot) or "never" (always run in the host namespace).

--tmp-dir DIRECTORY
    Specify alternate temporary directory to copy data as well as the compressed report.

--list-profiles
    Display a list of available profiles and the plugins that they enable.

-p, --profile NAME
    Only run plugins that correspond to the given profile. Multple profiles may be specified as a comma-separated list; the set of plugins executed is the union of each of the profile's plugin sets. Currently defined profiles include: boot, cluster, desktop, debug, hardware, identity, network, openstack, packagemanager, security, services, storage, sysmgmt, system, performance, virt, and webserver.

--verify
    Instructs plugins to perform plugin-specific verification during data collection. This may include package manager verification, log integrity testing or other plugin defined behaviour. Use of --verify may cause the time taken to generate a report to be considerably longer.

--log-size
    Places a global limit on the size (in MiB) of any collected set of logs. The limit is applied separately for each set of logs collected by any plugin.

--all-logs
    Tell plugins to collect all possible log data ignoring any size limits and including logs in non-default locations. This option may significantly increase the size of reports.

-z, --compression-type METHOD
    Override the default compression type specified by the active policy.

--batch
    Generate archive without prompting for interactive input.

--name NAME
    Specify a name to be used for the archive.

--case-id NUMBER
    Specify a case identifier to associate with the archive. Identifiers may include alphanumeric characters, commas and periods ('.'). Synonymous with --ticket-number.

--ticket-number NUMBER
    Specify a ticket number or other identifier to associate with the archive. Identifiers may include alphanumeric characters, commas and periods ('.'). Synonymous with --case-id.

--build
    Do not archive copied data. Causes sosreport to leave an uncompressed archive as a temporary file or directory tree.

--debug
    Enable interactive debugging using the python debugger. Exceptions in sos or plug-in code will cause a trap to the pdb shell.

--experimental
    Enable plugins marked as experimental. Experimental plugins may not have been tested for this port or may still be under active development.

--help
    Display usage message.

MAINTAINER
Bryn M. Reeves <bmr@redhat.com>

AUTHORS & CONTRIBUTORS
See AUTHORS file in /usr/share/doc/sosreport.

TRANSLATIONS
Translations are handled by transifex (https://fedorahosted.org/transifex/)